using System;
using System.Collections.Generic;
using System.Linq;

namespace nesusedni
{
    public class Program
    {
        public static void Main(string[] args)
        { 
            char c1, c2; //c1 - Perino slovo, c2 - Petrino slovo
            int a1, a2;

            string unos1 = Console.ReadLine();
            char[] ch = new char[2];
            ch = unos1.ToCharArray();
            c1 = ch[0];
            c2 = ch[1];

            string[] unos2 = new string[2];
            unos2 = Console.ReadLine().Split(' ');
            a1 = int.Parse(unos2[0]);
            a2 = int.Parse(unos2[1]);

            char[] izlaz = new char[a1 + a2 + 1];

            if(a1 == a2 || a1 + 1 == a2 || a1 - 1 == a2)
            {
                if (a1 > a2)
                {
                    for (int i = 0; i < izlaz.Length; i+=2)
                    {

                        izlaz[i] = c1;
                        izlaz[i + 1] = c2;
                    }
                }
                else if(a1 < a2)
                {
                    for (int i = 0; i < izlaz.Length; i += 2)
                    {

                        izlaz[i] = c2;
                        izlaz[i + 1] = c1;
                    }
                }
                else if(a1 == a2)
                {
                    for (int i = 0; i < izlaz.Length - 1; i += 2)
                    {     
                        izlaz[i] = c1;
                        izlaz[i + 1] = c2;
                    }
                }
            }
            else
            {
                Console.WriteLine("nemoguce");
            }

            foreach(char c in izlaz)
            {
                Console.Write(c);
            }
        }
    }
}